Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040928
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-05-21 18:202019-06-26 14:11
ReporterngarciaView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionfedce3dcb450
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040928: The precision of the financial account currency is not used in transactions when paying a ticket with a different currency

DescriptionThe precision of the financial account currency is not used in transactions when paying a ticket with a different currency
Steps To ReproduceConfigure the Format.xml to show 3 decimals in euro (amounts) and price formats

As System Admin role:
   Set the following POS Precision:
      EUR: 0
      USD: 2
      OMR: 3

As group admin:
   Define the following conversions:
      OMR -> EUR: 9
      USD -> EUR: 3.6

   Set a price of 7999 to a product in the store's price list (price including taxes)

   Configure the Touchpoint to accept payments in EUR, USD and OMR

In the POS:
   Create a new ticket and add the previously created product
   Check the total amount is 7999
   Add a payment of 6444 in EUR
   Add a payment of 123.456 OMR (1111 AED as it is rounded to 0 decimals)
   Add a payment of 123.33 USD (444 AED as it is rounded to 0 decimals)

   Complete it

In the backoffice:
   Check the amount in USD financial account has been rounded to 123.00
   Check the amount in OMR financial account has been rounded to 123.00

   The Received (Financial Account) field of the Payment In have also the same values

   In the Sales Order - Payment Plan - Payment Details, Received (Account Currency) are also wrong but have different values:

   USD: 123.333
   OMR: 123.444

   In the same tab, the Expected (Account Currency) is also wrongly rounded:

      USD: 2221.944
      OMR: 888.778
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040720 closedrqueralta Retail Modules Payments in foreign currency with more decimals than currency's precision if grouped in a Payment Method Category 
related to defect 0040929 closedrqueralta Retail Modules In Count Cash step of Cash Up amounts in foreign currencies are rounded to the POS currency precision 
related to defect 0041183 closedrqueralta Openbravo ERP Payment information of the sales order is shown incorrectly in case of payments with different precisions in both currencies 
causes defect 0041114 closedrqueralta Retail Modules Invoicing an Order with a prepayment in a different currency shows inconsistent Received Amounts in the Payment Plan of Order 

-  Notes
(0112792)
hgbot (developer)
2019-06-14 16:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b1fb14999c4b03af5dfdba258e75d406a6281eb6
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Jun 11 14:35:20 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b1fb14999c4b03af5dfdba258e75d406a6281eb6 [^]

Fixed issue 40928: The precision of the financial account currency is not
used in transactions when paying a ticket with a different currency

- Taked into account the foreing currency precision for all transactions instead
 terminal currency precision. Also the Payment Detail view was modified to show
 the foreing amount instead calculate it from amount by rate

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0112793)
hgbot (developer)
2019-06-14 16:56

Repository: erp/devel/pi
Changeset: 9cc793f1bb71e37b7f18eb6716ea760dafe55815
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Jun 11 14:48:21 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/9cc793f1bb71e37b7f18eb6716ea760dafe55815 [^]

Fixed issue 40928: The precision of the financial account currency is not
used in transactions when paying a ticket with a different currency

- Payment Detail view was modified to show the foreing amount instead calculate
it from payment amount by rate

---
M src-db/database/model/views/FIN_PAYMENT_DETAIL_V.xml
---
(0112795)
hudsonbot (developer)
2019-06-14 21:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/aa7e94d5a8c3 [^]
Maturity status: Test
(0112862)
jorge-garcia (developer)
2019-06-18 14:56

Solution is not correct.

Review problem described in issue number 41114
(0112907)
hgbot (developer)
2019-06-20 03:46

Repository: erp/devel/pi
Changeset: fedce3dcb450098dfdf30948be3c2e64a5772eb5
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Jun 18 18:28:20 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/fedce3dcb450098dfdf30948be3c2e64a5772eb5 [^]

Fixed issue 40928: The precision of the financial account currency is not
used in transactions when paying a ticket with a different currency

- If Payment_Schedule_Detail amount is different to Fin_Payment amount the
paidconverted is payment amount by rate in other case is the fin_payment amount

---
M src-db/database/model/views/FIN_PAYMENT_DETAIL_V.xml
---
(0112932)
hudsonbot (developer)
2019-06-21 12:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/44c767ef7fd4 [^]
Maturity status: Test
(0112993)
marvintm (developer)
2019-06-24 19:00

Solution is still not correct. The view will return wrong value if the payment is not yet deposited
(0113014)
hgbot (developer)
2019-06-26 00:22

Repository: erp/devel/pi
Changeset: 4a6e7e8d1c4c54b829802143377cb060238e315a
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Jun 25 18:18:00 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/4a6e7e8d1c4c54b829802143377cb060238e315a [^]

Related to issue 40928: Backed out changeset: fedce3dcb450

---
M src-db/database/model/views/FIN_PAYMENT_DETAIL_V.xml
---
(0113015)
hgbot (developer)
2019-06-26 03:17

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 1d3eb38b288639c33a330dd5491a8d44f890fb8b
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Jun 25 21:16:04 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1d3eb38b288639c33a330dd5491a8d44f890fb8b [^]

Related to issue 40928: The precision of the financial account currency is not
used in transactions when paying a ticket with a different currency

- Taked into account the foreing currency precision for all transactions instead
 terminal currency precision.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0113021)
hudsonbot (developer)
2019-06-26 04:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0c724fa9726e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-21 18:20 ngarcia New Issue
2019-05-21 18:20 ngarcia Assigned To => Retail
2019-05-21 18:20 ngarcia Triggers an Emergency Pack => No
2019-05-21 18:29 ngarcia Relationship added related to 0040929
2019-05-21 18:30 ngarcia Relationship added related to 0040720
2019-05-28 05:03 rqueralta Assigned To Retail => rqueralta
2019-05-28 05:03 rqueralta Status new => scheduled
2019-06-14 16:50 hgbot Checkin
2019-06-14 16:50 hgbot Note Added: 0112792
2019-06-14 16:50 hgbot Status scheduled => resolved
2019-06-14 16:50 hgbot Resolution open => fixed
2019-06-14 16:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b1fb14999c4b03af5dfdba258e75d406a6281eb6 [^]
2019-06-14 16:56 hgbot Checkin
2019-06-14 16:56 hgbot Note Added: 0112793
2019-06-14 16:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b1fb14999c4b03af5dfdba258e75d406a6281eb6 [^] => http://code.openbravo.com/erp/devel/pi/rev/9cc793f1bb71e37b7f18eb6716ea760dafe55815 [^]
2019-06-14 21:25 hudsonbot Checkin
2019-06-14 21:25 hudsonbot Note Added: 0112795
2019-06-18 14:00 jorge-garcia Relationship added causes 0041114
2019-06-18 14:56 jorge-garcia Note Added: 0112862
2019-06-18 14:56 jorge-garcia Status resolved => new
2019-06-18 14:56 jorge-garcia Resolution fixed => open
2019-06-20 03:46 hgbot Checkin
2019-06-20 03:46 hgbot Note Added: 0112907
2019-06-20 03:46 hgbot Status new => resolved
2019-06-20 03:46 hgbot Resolution open => fixed
2019-06-20 03:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/9cc793f1bb71e37b7f18eb6716ea760dafe55815 [^] => http://code.openbravo.com/erp/devel/pi/rev/fedce3dcb450098dfdf30948be3c2e64a5772eb5 [^]
2019-06-21 12:54 hudsonbot Checkin
2019-06-21 12:54 hudsonbot Note Added: 0112932
2019-06-24 19:00 marvintm Note Added: 0112993
2019-06-24 19:00 marvintm Status resolved => new
2019-06-24 19:00 marvintm Resolution fixed => open
2019-06-26 00:22 hgbot Checkin
2019-06-26 00:22 hgbot Note Added: 0113014
2019-06-26 00:24 rqueralta Status new => scheduled
2019-06-26 00:24 rqueralta Status scheduled => resolved
2019-06-26 00:24 rqueralta Resolution open => fixed
2019-06-26 03:17 hgbot Checkin
2019-06-26 03:17 hgbot Note Added: 0113015
2019-06-26 04:55 hudsonbot Checkin
2019-06-26 04:55 hudsonbot Note Added: 0113021
2019-06-26 14:11 marvintm Review Assigned To => marvintm
2019-06-26 14:11 marvintm Status resolved => closed
2019-06-26 14:11 marvintm Fixed in Version => RR19Q3
2019-06-26 14:15 marvintm Relationship added blocks 0041183
2019-06-26 14:15 marvintm Relationship deleted blocks 0041183
2019-06-26 14:16 marvintm Relationship added related to 0041183


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker